%define svn		3519
%define rel		1
%if %svn
%define release		%mkrel 0.%svn.%rel
%define distname	%name-%svn.tar.lzma
%define	dirname		%name
%else
%define release		%mkrel %rel
%define distname	%name-%version.tar.gz
%define dirname		%name-%version
%endif

Name:		synce-hal
Summary:	HAL-based connection framework for Windows Mobile
Version:	0.11.1
Release:	%{release}
License:	MIT
Source0:	%{distname}
URL:		http://synce.sourceforge.net/
Group:		Communications
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libsynce-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	libgnet2-devel
BuildRequires:	hal-devel
Requires:	ppp
Obsoletes:	synce-serial < 0.11.1
Obsoletes:	odccm < 0.11.2
Obsoletes:	synce-vdccm < 0.11
Obsoletes:	synce < 0.11.1
Provides:	synce = %{version}-%{release}

%description
Synce-hal is a connection framework and dccm-implementation for
Windows Mobile devices that integrates with HAL.

%prep
%setup -q -n %{dirname}

%build
%if %svn
./autogen.sh
%endif
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%post

%files
%defattr(-,root,root)
%doc AUTHORS NEWS README TODO
%{_libexecdir}/hal*
%{_libexecdir}/synce*
%{_datadir}/hal/fdi/policy/20thirdparty/*



%changelog
* Thu Jul 17 2008 Adam Williamson <awilliamson@mandriva.com> 0.11.1-0.3519.1mdv2009.0
+ Revision: 236648
- new snapshot 3519 (not using stable release as it's badly versioned, I am
  asking upstream to re-version it)

* Mon Jun 16 2008 Götz Waschk <waschk@mandriva.org> 0.11.1-0.3471.4mdv2009.0
+ Revision: 219388
- fix file list, *never* use %%_libdir/* or the debug stuff is included

* Fri Jun 06 2008 Adam Williamson <awilliamson@mandriva.com> 0.11.1-0.3471.3mdv2009.0
+ Revision: 216380
- requires ppp (without it, connections to wm2003 devices fail)

* Tue Jun 03 2008 Adam Williamson <awilliamson@mandriva.com> 0.11.1-0.3471.2mdv2009.0
+ Revision: 214464
- obsolete / provide synce, something needs to...
- obsoletes odccm and vdccm
- import synce-hal


